MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004113ATutorTests/Surveyspublic2010-01-18 04:372010-05-02 15:27
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.4 
Summary0004113: LaTeX in test questions
DescriptionLaTeX is not working in test questions, probably the result of stripslashes()

see
http://www.atutor.ca/view/7/17990/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004030)
cindy (administrator)
2010-01-20 05:37

SVN revision: 9112

Solution: This issue happens in matching questions (graphic and simple) and instructor's optional feedback. The solution is to use AT_print() to display these fields.

Affected scripts:
tools/view_results.php
tools/tests/dd.php
themes/default/test_questions/matching.tmpl.php
(0004031)
cindy (administrator)
2010-01-21 05:10

There are 2 view_results.php

tools/view_results.php for students
tools/tests/view_results.php for instructor

Both needs to be modified for this fix.
(0004032)
cindy (administrator)
2010-01-21 05:11

Also modified tools/tests/view_results.php

- Issue History
Date Modified Username Field Change
2010-01-18 04:37 greg New Issue
2010-01-18 04:37 greg Affects version => SVN
2010-01-19 13:40 greg Status new => assigned
2010-01-19 13:40 greg Assigned To => cindy
2010-01-20 05:37 cindy Status assigned => resolved
2010-01-20 05:37 cindy Fixed in Version => 1.6.4
2010-01-20 05:37 cindy Resolution open => fixed
2010-01-20 05:37 cindy Note Added: 0004030
2010-01-21 05:10 cindy Status resolved => feedback
2010-01-21 05:10 cindy Resolution fixed => reopened
2010-01-21 05:10 cindy Note Added: 0004031
2010-01-21 05:11 cindy Status feedback => resolved
2010-01-21 05:11 cindy Resolution reopened => fixed
2010-01-21 05:11 cindy Note Added: 0004032
2010-05-02 15:27 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker